Bug 199115 - mail/mutt: sidebar overlaps bottom status bar in pager view
Summary: mail/mutt: sidebar overlaps bottom status bar in pager view
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on: 199727
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-02 15:10 UTC by martin
Modified: 2015-05-18 18:20 UTC (History)
2 users (show)

See Also:
Udo.Schweigert: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description martin 2015-04-02 15:10:22 UTC
This is just a cosmetic issue, but slightly annoying.

When using the sidebar patch and opening an email to view it (pager), the bottom status bar is shown overlapped by the sidebar. In the message list view the sidebar is one line shorter, so it does not cause an overlap.

Additionally the bottom status bar is not displayed correctly (also in the pager view). On the right side, it is too short. It should expand to full width.

--
Martin
Comment 1 Udo.Schweigert 2015-04-22 06:39:22 UTC
In contact with submitter, potential solution will be tested.

Udo 
(maintainer)
Comment 2 Udo.Schweigert 2015-04-27 06:50:17 UTC
This is ficed by PR 199727 (among other things). Thus this PR can be closed.


Udo (maintainer)
Comment 3 commit-hook freebsd_committer 2015-05-16 01:20:10 UTC
A commit references this bug:

Author: jbeich
Date: Sat May 16 01:19:13 UTC 2015
New revision: 386495
URL: https://svnweb.freebsd.org/changeset/ports/386495

Log:
  mail/mutt: update patches

  - Fix sidebar patch [1]. This version introduces a new config variable
    "sidebar_shortpath" which is set to yes by default to ensure
    backwards compatibility.

  - Fix an issue with recent gpg (and gpgme) versions (GnuPG version 2.1
    stops exporting the GPG_AGENT_INFO environment variable, so mutt can't
    check for the presence of that to ensure the agent is running).

  - Fix pgp key selection [2].

  - Bump port revision because of major change to sidebar patch and gpg
    handling.

  PR:		199727
  PR:		199115 [1]
  PR:		199341 [2]
  Submitted by:	Udo.Schweigert@siemens.com (maintainer)
  MFH:		2015Q2

Changes:
  head/chinese/mutt/Makefile
  head/mail/mutt/Makefile
  head/mail/mutt/files/extra-patch-sidebar
  head/mail/mutt/files/extra-patch-sidebar-nntp
  head/mail/mutt/files/extra-patch-sidebar-refresh
  head/mail/mutt/files/patch-gpg_agent_info
  head/mail/mutt/files/patch-pgpkey.c
Comment 4 commit-hook freebsd_committer 2015-05-18 18:20:28 UTC
A commit references this bug:

Author: jbeich
Date: Mon May 18 18:20:24 UTC 2015
New revision: 386696
URL: https://svnweb.freebsd.org/changeset/ports/386696

Log:
  MFH: r386495

  mail/mutt: update patches

  - Fix sidebar patch [1]. This version introduces a new config variable
    "sidebar_shortpath" which is set to yes by default to ensure
    backwards compatibility.

  - Fix an issue with recent gpg (and gpgme) versions (GnuPG version 2.1
    stops exporting the GPG_AGENT_INFO environment variable, so mutt can't
    check for the presence of that to ensure the agent is running).

  - Fix pgp key selection [2].

  - Bump port revision because of major change to sidebar patch and gpg
    handling.

  PR:		199727
  PR:		199115 [1]
  PR:		199341 [2]
  Submitted by:	Udo.Schweigert@siemens.com (maintainer)
  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/chinese/mutt/Makefile
  branches/2015Q2/mail/mutt/Makefile
  branches/2015Q2/mail/mutt/files/extra-patch-sidebar
  branches/2015Q2/mail/mutt/files/extra-patch-sidebar-nntp
  branches/2015Q2/mail/mutt/files/extra-patch-sidebar-refresh
  branches/2015Q2/mail/mutt/files/patch-gpg_agent_info
  branches/2015Q2/mail/mutt/files/patch-pgpkey.c